Skip to main content
GET
/
v1
/
eth
/
validators
/
rewards
Get rewards metrics for a group of validators
curl --request GET \
  --url https://api.rated.network/v1/eth/validators/rewards \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.rated.network/v1/eth/validators/rewards"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.rated.network/v1/eth/validators/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "previous": "<string>",
  "next": "<string>",
  "pages": 1,
  "results": [
    {
      "validatorIndex": 1,
      "rewards": 123,
      "hour": 1,
      "day": 1,
      "startDay": 1,
      "endDay": 1,
      "startEpoch": 1,
      "endEpoch": 1,
      "startDate": "<string>",
      "endDate": "<string>",
      "date": "<string>",
      "startTimestamp": "2023-11-07T05:31:56Z",
      "endTimestamp": "2023-11-07T05:31:56Z",
      "startSlot": 1,
      "endSlot": 1,
      "estimatedRewards": 123,
      "sumPriorityFees": 123,
      "sumBaselineMev": 123,
      "sumMissedExecutionRewards": 123,
      "sumConsensusBlockRewards": 123,
      "sumMissedConsensusBlockRewards": 123,
      "sumAllRewards": 123,
      "sumAttestationRewards": 123,
      "sumMissedAttestationRewards": 123,
      "sumMissedSyncCommitteeRewards": 123,
      "sumExternallySourcedExecutionRewards": 123,
      "sumSyncCommitteeRewards": 123,
      "endEpochBalance": 123,
      "endEpochEffectiveBalance": 123,
      "sumPriorityFeesWei": 123,
      "sumBaselineMevWei": 123
    }
  ]
}
{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Rated-Network
enum<string>
default:mainnet
Available options:
mainnet,
hoodi,
holesky

Query Parameters

limit
integer
default:10

The number of results returned per page

offset
integer
default:0

The number of results to skip before starting to return

toDate
string<date> | null

End date

Example:

"2023-12-31"

fromDate
string<date> | null

Start date

Example:

"2023-01-01"

fromDay
integer | null

Start day

Required range: x >= 0
Example:

"791"

toDay
integer | null

End day

Required range: x >= 0
Example:

"851"

utc
boolean | null
default:false

Returns results based on UTC days (true) or ETH chain days (false)

pubkeys
string[] | null

A list of validator pubkeys you want to filter by

indices
integer[] | null

A list of validator indices you want to filter by

Required range: x >= 0
sortBy
string

The filter you want results to be sorted by

sortOrder
enum<string> | null
default:asc

The sort order for the results

Available options:
asc,
desc
granularity
enum<string> | null
Available options:
hour,
day,
week,
month,
quarter,
year,
all
groupBy
enum<string> | null
default:validator
Available options:
granularity,
validator

Response

Successful Response

previous
string | null
required
next
string | null
required
pages
integer
required
Required range: x >= 0
results
ValidatorRewards · object[]
required